getProbeDataAffy {matchprobes} | R Documentation

## Read a data file describing the probe sequences on an Affymetrix genechip

### Description

Read a data file describing the probe sequences on an Affymetrix genechip

### Usage

    getProbeDataAffy(arraytype, datafile, pkgname = NULL, comparewithcdf = TRUE)

### Arguments

`arraytype` | Character. Array type (e.g. 'HG-U133A')
`datafile` | Character with the filename of the input data file, or a connection (see example). If omitted a default name is constructed from `arraytype` (for details you will need to consult this function's source code).
`pkgname` | Character. Package name. If NULL the name is derived from `arraytype`.
`comparewithcdf` | Logical. If TRUE, run a consistency check against a CDF package of the same name (what used to be Laurent's "extraparanoia".)

### Details

This function serves as an interface between the (1) representation of array probe information data in the packages that are generated by `makeProbePackage` and (2) the vendor- and possibly version-specific way the data are represented in `datafile`.

`datafile` is a tabulator-separated file with one row per probe, and column names `'Probe X'`, `'Probe Y'`, `'Probe Sequence'`, and `'Probe.Set.Name'`. See the vignette for an example.

### Value

A list with three components

`dataEnv` | an environment which contains the data frame with the probe sequences and the other probe data.
`symVal` | a named list of symbol value substitutions which can be used to customize the man pages. See `createPackage`.
`pkgname` | a character with the package name; will be the same as the function parameter `pkgname` if it was specified; otherwise, the name is constructed from the parameter `arraytype`.

normal-bracket36bracket-normal

### See Also

makeProbePackage

### Examples

      ## Please refer to the vignette

[Package matchprobes version 1.8.1 Index]